package com.njcn.mysql.service;

import com.njcn.oracle.bo.po.*;
import com.njcn.oracle.mapper.DayInharmVMapper;

import java.util.List;

public interface OracleDataService {

    /**
     * 查询oracle中DAY_HARMRATE_V数据
     * @param time
     * @return
     */
    List<DayHarmrateV> getDayHarmRate(String time);

    /**
     * 查询oracle中PQS_INTEGRITY数据
     * @param time
     * @return
     */
    List<PqsIntegrity> getPqsIntegrity(String time);

    /**
     * 查询oracle中DAY_V数据
     * @param time
     * @return
     */
    List<DayV> getDayV(String time);

    /**
     * 查询oracle中LIMIT_RATE数据
     * @param time
     * @return
     */
    List<LimitRate> getLimitRate(String time);
    /**
     * 查询oracle中PQS_ComAsses数据
     * @param time
     * @return
     */
    List<PqsComAsses> getPqsComAsses(String time);

    /**
     * 查询oracle中LIMIT_Target数据
     * @param time
     * @return
     */
    List<LimitTarget> getLimitTarget(String time);
    /**
     * 查询oracle中PQS_ComAsses数据
     * @param time
     * @return
     */
    List<PqsAsses> getPqsAsses(String time);

    /**
     * 查询oracle中DAY_I数据
     * @param time
     * @return
     */
    List<DayI> getDayI(String time);

    /**
     * 查询oracle中DAY_PLT数据
     * @param time
     * @return
     */
    List<DayPlt> getDayPlt(String time);

    /**
     * 查询oracle中DAY_FLICKER数据
     * @param time
     * @return
     */
    List<DayFlicker> getDayFlicker(String time);

    /**
     * 查询oracle中DAY_INHARM_V数据
     * @param time
     * @return
     */
    List<DayInharmV> getDayInHarmV(String time);


    /**
     * 查询oracle中PQ_Line数据
     * @param
     * @return
     */
    List<Line> getLineList();

    /**
     * 查询oracle中PQ_Line_Detail数据
     * @param
     * @return
     */
    List<LineDetail> getLineDetail();
}
